<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_httpcsvalidation
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
/**
 * Init View
 *
 * @since  0.0.1
 */
class HttpcsvalidationViewCurldisabled extends JViewLegacy
{
    public $pathModule;
    /**
     * Display the Httpcsvalidation view
     *
     * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     *
     * @return  void
     */
    function display($tpl = null)
    {
        $pathModule = $this->pathModule;
        
        JHtml::_('bootstrap.framework');
        $document = JFactory::getDocument();
        $url = JUri::base() . 'components/com_httpcsvalidation/views/';
        $document->addStyleSheet($url.'css/httpcs-css.css');
        $document->addScript($url.'js/httpcs-js.js');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JFactory::getApplication()->enqueueMessage(implode('<br />', $errors), 'error');

            return false;
        }

        // Display the template
        parent::display($tpl);
    }
}