<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_httpcsvalidation
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted Access');
?>
<?php if($this->fail): ?>
    <style>
        #creationContainer{
            display: none;
        }
        #connectionContainer{
            display: block;
        }
    </style>
<?php endif; ?>
<div id="pluginContainer">
    <?php echo $this->notices; ?>
    <h1 id="logoHttpcsContainer"><img src="<?php echo $this->pathModule.'views/images/httpcsLogo.png'; ?>" class="logoHttpcs"></h1>
    <div class="description">
        <div><?php echo JText::_('COM_HTTPCSVALIDATION_THIS_TITLE'); ?></div>
        <div><?php echo JText::_('COM_HTTPCSVALIDATION_PLEASE_FOLLOW'); ?></div>
    </div>

    <div id="creationContainer">
        <form method="post">
            <input type="hidden" name="httpcs_crea" value="Y">
            <input type="hidden" name="securedToken" value="<?php echo $this->securedToken; ?>">
            <h3 id="votreSite"><?php echo JText::_('COM_HTTPCSVALIDATION_YOUR_WEBSITE'); ?></h3>
            <div class="info"><?php echo JText::_('COM_HTTPCSVALIDATION_DESCRIPTION'); ?></div>

            <div>
                <input type="url" name="url" required="required" class="form-control" placeholder="http://www.mon-site.com" value="<?php echo $this->url; ?>" disabled>
            </div>

            <h4><?php echo JText::_('COM_HTTPCSVALIDATION_CREATION_ACCOUNT'); ?></h4>
            <div>
                <input type="text" name="name" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_NAME_FIRSTNAME'); ?>" value="<?php echo $this->nameU; ?>">
            </div>
            <div>
                <input type="text" name="function" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_POSITION'); ?>" value="<?php echo $this->function; ?>">
            </div>
            <div>
                <input type="text" name="company" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_COMPANY'); ?>" value="<?php echo $this->company; ?>">
            </div>
            <div>
                <input type="text" name="phone" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_PHONE'); ?>" value="<?php echo $this->phone; ?>">
            </div>
            <div>
                <input type="email" name="email" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_EMAIL'); ?>" value="<?php echo $this->email; ?>">
            </div>

            <div>
                <input type="submit" value="<?php echo JText::_('COM_HTTPCSVALIDATION_ACCESS_FREE'); ?>" class="btn btn-green"><br>
                <div><?php echo JText::_('COM_HTTPCSVALIDATION_ALREADY_ACCOUNT'); ?> <a onclick="showConnexion()"><?php echo JText::_('COM_HTTPCSVALIDATION_CLICK_HERE'); ?></a></div>
            </div>
        </form>
    </div>
    <div id="connectionContainer">
        <form method="post">
            <input type="hidden" name="httpcs_co" value="Y">
            <input type="hidden" name="securedToken" value="<?php echo $this->securedToken; ?>">
            <input type="hidden" name="url" value="<?php echo $this->url; ?>">
            <h3 id="votreSite"><?php echo JText::_('COM_HTTPCSVALIDATION_CONNECTION'); ?></h3>
            <div>
                <input type="email" name="email" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_EMAIL'); ?>" value="<?php echo $this->email; ?>">
            </div>
            <div>
                <input type="password" name="password" required="required" class="form-control" placeholder="<?php echo JText::_('COM_HTTPCSVALIDATION_PASSWORD'); ?>">
            </div>
            <div>
                <input type="submit" value="<?php echo JText::_('COM_HTTPCSVALIDATION_LOG_IN'); ?>" class="rf btn btn-primary">
                <a target="_blank" href="<?php echo $this->PATHHTTPCS.'/'.$this->locale.$this->PATHFORGOTPASSWORD; ?>" title="HTTPCS" class="rf forgotpw"><?php echo JText::_('COM_HTTPCSVALIDATION_FORGOTPASSWORD'); ?></a>
                <div class="httpcsClearfix"></div>
                <div><?php echo JText::_('COM_HTTPCSVALIDATION_NO_ACCOUNT'); ?> <a onclick="showCreation()"><?php echo JText::_('COM_HTTPCSVALIDATION_CLICK_HERE'); ?></a></div>
            </div>
        </form>
    </div>
    <span style="display:none;" class="notice-dismiss" onclick="closeNotice()"></span>
</div>