<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_httpcsvalidation
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// No direct access to this file
defined('_JEXEC') or die('Restricted Access');
?>
<div id="pluginContainer">
    <?php echo $this->notices; ?>
    <h1 id="logoHttpcsContainer"><img src="<?php echo $this->pathModule.'views/images/httpcsLogo.png'; ?>" class="logoHttpcs"></h1>
    <div class="description">
        <div><?php echo JText::_('COM_HTTPCSVALIDATION_CLICK_BELOW'); ?></div>
    </div>
    <div id="container" class="httpcsContainer">
        <form method="post">                    
            <input type="hidden" name="httpcs_retry" value="Y">
            <input type="hidden" name="securedToken" value="<?php echo $this->securedToken; ?>">
            <input type="hidden" name="event" value="<?php echo $this->event; ?>">
            <input type="hidden" name="secondToken" value="<?php echo $this->secondToken; ?>">
            <input type="hidden" name="email" value="<?php echo $this->email; ?>">
            <button type="submit" class="btn btn-primary"><?php echo JText::_('COM_HTTPCSVALIDATION_TRY_AGAIN'); ?></button>
        </form>
    </div>
</div>